Hi Victor,

Maybe yours qt5-qtbase-devel-5.9.7-2.el7.x86_64 is the same as mine
qtbase5-dev. I'm not on CentOS, sorry.

Your compiler is complaining about QIODevice. In my QT, QIODevice is
defined in qtbase5-dev package. I'm using QT 5.12 (not 5.9).

Try to find in your CentOS this QIODevice class.

Regards,

Jorge

On 25/03/20 11:06, Jorge Gustavo Rocha wrote:
> Hi Victor,
> 
> Have you qtbase5-dev package installed? I think it is missing in you
> system. Can you check, please?
> 
> Regards,
> 
> Jorge
> 
> On 25/03/20 10:33, Victor LOPES wrote:
>> Hello is someone can help with this case ?
>>
>> Vic
>>
>> Le 24/03/2020 à 17:42, piaff33z a écrit :
>>> Hello all, I need some help to compile and install last version of
>>> QGis 3.12.1 :-)
>>> Below my explanation about my last last blocking point.
>>>
>>> Context :
>>> My system is an CentOS Linux release 7.6.1810 (Core) on Linux
>>> 3.10.0-957.10.1.el7.x86_64 #1 SMP
>>>
>>> ----
>>> Making tools
>>> -------------
>>> Provide by CentOS :
>>> gcc-c++-4.8.5-39.el7.x86_64
>>> libgcc-4.8.5-39.el7.x86_64
>>>
>>> Devtoolset installed if some products need to be compiled with more
>>> recent compiler :
>>> devtoolset-7-gcc-7.3.1-5.16.el7.x86_64
>>> gcc-4.8.5-39.el7.x86_64
>>> devtoolset-7-gcc-c++-7.3.1-5.16.el7.x86_64
>>>
>>> ----
>>>
>>> I compiled successfully software below to have last versions
>>>
>>> lrwxrwxrwx. 1 root root    11 23 mars  15:15 gdal -> gdal-3.0.4/
>>> drwxr-xr-x. 7 root root  4096 23 mars  15:15 gdal-3.0.4
>>> lrwxrwxrwx. 1 root root    11 23 mars  15:52 grass -> grass-7.8.2
>>> drwxr-xr-x. 4 root root  4096 23 mars  15:57 grass-7.8.2
>>> lrwxrwxrwx. 1 root root    19 23 mars  17:11 libspatialite ->
>>> libspatialite-4.3.0
>>> drwxr-xr-x. 4 root root  4096 23 mars  17:11 libspatialite-4.3.0
>>> drwx------. 2 root root 16384 21 mars   2019 lost+found
>>> lrwxrwxrwx. 1 root root    10 23 mars  17:23 proj -> proj-4.9.3
>>> drwxr-xr-x. 6 root root  4096 23 mars  17:23 proj-4.9.3 ( I tried with
>>> proj-7.0.0 but is too recent for QGis 3.12.1 :-( )
>>> lrwxrwxrwx. 1 root root    11 23 mars  14:05 sqlite -> sqlite-3.32
>>> drwxr-xr-x. 6 root root  4096 23 mars  14:05 sqlite-3.32
>>>
>>> ----------
>>>
>>> Qt5 is provide by my distribution and I didn't try to compile it from
>>> source
>>>
>>> qca-qt5-2.1.3-3.el7.x86_64
>>> qt5-qttools-common-5.9.7-1.el7.noarch
>>> qt5-qtwebkit-devel-5.9.1-2.el7.x86_64
>>> qt5-qtwayland-devel-5.9.7-1.el7.x86_64
>>> qt5-qtbase-gui-5.9.7-2.el7.x86_64
>>> qt5-qtlocation-5.9.7-1.el7.x86_64
>>> python36-qt5-webkit-5.12.1-3.el7.x86_64
>>> qt5-qtgraphicaleffects-5.9.7-1.el7.x86_64
>>> qt5-qtquickcontrols2-devel-5.9.7-1.el7.x86_64
>>> qt5-qtstyleplugins-5.0.0-29.el7.x86_64
>>> qt5-qtbase-odbc-5.9.7-2.el7.x86_64
>>> qt5-qtserialport-5.9.7-1.el7.x86_64
>>> qt5-qtenginio-1.6.2-2.el7.x86_64
>>> qt5-qttools-devel-5.9.7-1.el7.x86_64
>>> qt5-qtaccountsservice-devel-0.1.1-3.el7.x86_64
>>> qt5-qtenginio-devel-1.6.2-2.el7.x86_64
>>> qca-qt5-gnupg-2.1.3-3.el7.x86_64
>>> qca-qt5-devel-2.1.3-3.el7.x86_64
>>> qt5-qtwebkit-5.9.1-2.el7.x86_64
>>> qt5-qttools-5.9.7-1.el7.x86_64
>>> qt5-qtimageformats-5.9.7-1.el7.x86_64
>>> qt5ct-0.35-2.el7.x86_64
>>> qt5-qtx11extras-5.9.7-1.el7.x86_64
>>> qt5-qtdeclarative-5.9.7-1.el7.x86_64
>>> qt5-qtmultimedia-5.9.7-1.el7.x86_64
>>> python36-qt5-5.12.1-3.el7.x86_64
>>> qt5-linguist-5.9.7-1.el7.x86_64
>>> qt5-qtconfiguration-0.3.0-3.el7.x86_64
>>> qt5-qt3d-5.9.7-1.el7.x86_64
>>> qt5-qtquick1-devel-5.7.1-2.2bc722agit.el7.x86_64
>>> qt5-qtwebchannel-devel-5.9.7-1.el7.x86_64
>>> qt5-qtdeclarative-static-5.9.7-1.el7.x86_64
>>> qca-qt5-pkcs11-2.1.3-3.el7.x86_64
>>> qca-qt5-nss-2.1.3-3.el7.x86_64
>>> qt5-rpm-macros-5.9.7-2.el7.noarch
>>> qt5-qtserialport-devel-5.9.7-1.el7.x86_64
>>> qt5-qttools-libs-help-5.9.7-1.el7.x86_64
>>> qt5-qtwebsockets-5.9.7-1.el7.x86_64
>>> qt5-qttools-libs-designercomponents-5.9.7-1.el7.x86_64
>>> qt5-qtscript-devel-5.9.7-1.el7.x86_64
>>> qt5-qtcanvas3d-5.9.7-1.el7.x86_64
>>> qt5-qdbusviewer-5.9.7-1.el7.x86_64
>>> qt5-qtbase-static-5.9.7-2.el7.x86_64
>>> qt5-qtsensors-devel-5.9.7-1.el7.x86_64
>>> qca-qt5-cyrus-sasl-2.1.3-3.el7.x86_64
>>> qt5-qtbase-devel-5.9.7-2.el7.x86_64
>>> qt5-qtsvg-devel-5.9.7-1.el7.x86_64
>>> qt5-qttools-libs-designer-5.9.7-1.el7.x86_64
>>> qt5-designer-5.9.7-1.el7.x86_64
>>> qt5-qtquick1-5.7.1-2.2bc722agit.el7.x86_64
>>> qt5-qtquickcontrols-5.9.7-1.el7.x86_64
>>> qt5-qtbase-mysql-5.9.7-2.el7.x86_64
>>> qt5-qtbase-postgresql-5.9.7-2.el7.x86_64
>>> qca-qt5-softstore-2.1.3-3.el7.x86_64
>>> qt5-qtbase-common-5.9.7-2.el7.noarch
>>> qt5-qtserialbus-5.9.7-1.el7.x86_64
>>> qt5-qtwebchannel-5.9.7-1.el7.x86_64
>>> python-qt5-rpm-macros-5.12.1-3.el7.noarch
>>> qt5-qtlocation-devel-5.9.7-1.el7.x86_64
>>> qt5-qtx11extras-devel-5.9.7-1.el7.x86_64
>>> qt5-qtxmlpatterns-devel-5.9.7-1.el7.x86_64
>>> qt5-qt3d-devel-5.9.7-1.el7.x86_64
>>> qt5-qtwebsockets-devel-5.9.7-1.el7.x86_64
>>> qca-qt5-gcrypt-2.1.3-3.el7.x86_64
>>> qt5-qtserialbus-devel-5.9.7-1.el7.x86_64
>>> python36-pyqt5-sip-4.19.16-3.el7.x86_64
>>> qt5-qtscript-5.9.7-1.el7.x86_64
>>> qt5-qtconnectivity-devel-5.9.7-1.el7.x86_64
>>> qca-qt5-logger-2.1.3-3.el7.x86_64
>>> qt5-qtsvg-5.9.7-1.el7.x86_64
>>> qt5-qtconnectivity-5.9.7-1.el7.x86_64
>>> qt5-doctools-5.9.7-1.el7.x86_64
>>> qt5-qtaccountsservice-0.1.1-3.el7.x86_64
>>> qt5-assistant-5.9.7-1.el7.x86_64
>>> qca-qt5-botan-2.1.3-3.el7.x86_64
>>> qca-qt5-ossl-2.1.3-3.el7.x86_64
>>> qt5-qtbase-5.9.7-2.el7.x86_64
>>> qt5-qtsensors-5.9.7-1.el7.x86_64
>>> qt5-qtdeclarative-devel-5.9.7-1.el7.x86_64
>>> qt5-qtquickcontrols2-5.9.7-1.el7.x86_64
>>> qt5-qtconfiguration-devel-0.3.0-3.el7.x86_64
>>> qt5-qtxmlpatterns-5.9.7-1.el7.x86_64
>>> python36-qt5-base-5.12.1-3.el7.x86_64
>>> qt5-qtwayland-5.9.7-1.el7.x86_64
>>> qt5-qtmultimedia-devel-5.9.7-1.el7.x86_64
>>> qt5-qttools-static-5.9.7-1.el7.x86_64
>>>
>>> ----------
>>>
>>> Result after compiliing with cmake3 --version
>>> cmake3 version 3.14.6
>>>
>>> [root@build-master]# cmake3 .. -DGDAL_LIBRARY=/opt/gdal/lib
>>> -DPROJ_LIBRARY=/opt/proj/lib -DPROJ_INCLUDE_DIR=/opt/proj/include
>>> -DSQLITE3_INCLUDE_DIR=/opt/sqlite/include
>>> -DSQLITE3_LIBRARY=/opt/sqlite/lib
>>> -DGRASS_INCLUDE_DIR=/opt/grass/include -DGRASS_LIBRARY=/opt/grass/lib
>>>
>>> -- QGIS version: 3.12.1 București (31201)
>>> -- Found OpenCL C++ headers: /usr/include
>>> *-- Could not find GRASS 7*
>>> -- Found Proj: /opt/proj/lib version 4 (4.9.3)
>>> -- Found GEOS: /usr/lib64/libgeos_c.so (3.4.2)
>>> -- Found GDAL: /opt/gdal/lib (3.0.4)
>>> -- Found Expat: /lib64/libexpat.so
>>> -- Found Qwt: /usr/lib64/libqwt.so (6.1.1)
>>> -- Found libzip: /usr/lib64/libzip.so
>>> -- Found Sqlite3: /opt/sqlite/lib
>>> -- Found PostgreSQL: /usr/lib64/libpq.so
>>> -- Qt WebKit support enabled
>>> -- Found Qt version: 5.9.7
>>> -- Found QScintilla2: /usr/lib64/libqscintilla2.so (2.8)
>>> -- Found QCA: /usr/lib64/libqca-qt5.so (2.0.3)
>>> -- QCA OpenSSL plugin C++ check failed to compile
>>> -- QCA OpenSSL plugin C++ check compile output:
>>> -- Change Dir:
>>> /images/compile/QGIS-final-3_12_1/build-master/CMakeFiles/CMakeTmp
>>>
>>> Run Build Command(s):/usr/bin/gmake cmTC_2370e/fast
>>> /usr/bin/gmake -f CMakeFiles/cmTC_2370e.dir/build.make
>>> CMakeFiles/cmTC_2370e.dir/build
>>> gmake[1] : on entre dans le répertoire «
>>> /images/compile/QGIS-final-3_12_1/build-master/CMakeFiles/CMakeTmp »
>>> Building CXX object CMakeFiles/cmTC_2370e.dir/qcaossl.cpp.o
>>> /usr/bin/c++   -I/usr/include/qt5 -I/usr/include/qt5/QtCore
>>> -I/usr/lib64/qt5/./mkspecs/linux-g++ -I/usr/include/QtCrypto  -fPIC   
>>> -std=gnu++11 -o CMakeFiles/cmTC_2370e.dir/qcaossl.cpp.o -c
>>> /images/compile/QGIS-final-3_12_1/build-master/CMakeFiles/CMakeTmp/qcaossl.cpp
>>> In file included from /usr/include/QtCrypto/qca.h:38:0,
>>>                  from /usr/include/QtCrypto/QtCrypto:1,
>>>                  from
>>> /images/compile/QGIS-final-3_12_1/build-master/CMakeFiles/CMakeTmp/qcaossl.cpp:2:
>>> /usr/include/QtCrypto/qca_basic.h:318:14: erreur: ‘QIODevice’ has not
>>> been declared
>>>   void update(QIODevice *file);
>>>               ^
>>> gmake[1]: *** [CMakeFiles/cmTC_2370e.dir/qcaossl.cpp.o] Erreur 1
>>> gmake[1] : on quitte le répertoire «
>>> /images/compile/QGIS-final-3_12_1/build-master/CMakeFiles/CMakeTmp »
>>> gmake: *** [cmTC_2370e/fast] Erreur 2
>>>
>>> CMake Error at cmake/QCAMacros.cmake:76 (message):
>>>   QCA OpenSSL plugin not found (run-time/unit-test dependency)
>>> Call Stack (most recent call first):
>>>   CMakeLists.txt:444 (FIND_QCAOSSL_PLUGIN_CPP)
>>>
>>>
>>> -- Configuring incomplete, errors occurred!
>>> See also
>>> "/images/compile/QGIS-final-3_12_1/build-master/CMakeFiles/CMakeOutput.log".
>>> See also
>>> "/images/compile/QGIS-final-3_12_1/build-master/CMakeFiles/CMakeError.log".
>>>
>>> Two problems :
>>>
>>>   * What are the variables to tell where is Grass 7 path installation
>>>     for my cmake3 call ?
>>>     Is not clearly defined in ../cmake/FindGRASS.cmake like others
>>>     cmake files ?
>>>
>>>   * Could someone help me to understand what is missing in my system
>>>     or compile parameters :-)
>>>
>>> I can post CMakeOutput.log or CMakeError.log, but i don't be sure that
>>> this mailing accept this type of sending...
>>>
>>> Vic
>>
>>
>>
>> _______________________________________________
>> QGIS-Developer mailing list
>> QGIS-Developer@lists.osgeo.org
>> List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
>> Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer
>>
> 
> J. Gustavo
> 

J. Gustavo
-- 
Jorge Gustavo Rocha
Departamento de Informática
Universidade do Minho
4710-057 Braga
Gabinete 3.29 (Piso 3)
Tel: +351 253604480
Fax: +351 253604471
Móvel: +351 910333888
skype: nabocudnosor
_______________________________________________
QGIS-Developer mailing list
QGIS-Developer@lists.osgeo.org
List info: https://lists.osgeo.org/mailman/listinfo/qgis-developer
Unsubscribe: https://lists.osgeo.org/mailman/listinfo/qgis-developer

Reply via email to